<?xml version="1.0" encoding="UTF-8"?>
<scenario begin="account">

	<!-- telekom postpay -->
	<screen id="account" type="group" title="Cod abonat si factura">
		<fields>
			<text-field id="id1" keyboard="Digital" max-len="12" message="Introduceti seria TKRM" title="Serie TKRM nr.">
				<validator type="regex">
					<rules>
						<rule regex="^[0-9]{12}$"/>
					</rules>
				</validator>
			</text-field>
			<text-field id="factura" keyboard="Digital" max-len="19" message="Introduceti codul de facturare" title="Cod facturare / abonat">
				<validator type="regex">
					<rules>
						<rule regex="^[0-9]{6,19}$"/>
					</rules>
				</validator>
			</text-field>
		</fields>
		<actions>
			<action type="Next" title="Inainte">
				<set key="service_name" value="TelekomPostPay"/>
				<online-request type="default" function="get_bill" params="id1,factura,service_name">
					<actions>
						<action type="success">
							<if condition="code == 0">
								<then>
									<goto target="confirm"/>
								</then>
								<else>
									<dialog type="Info" title="Eroare" message="Eroare: {0}" timeout="10" default="okay" mess-params="exception">
										<actions>
											<action type="okay" title="OK">
												<cancel/>
											</action>
										</actions>
									</dialog>
								</else>
							</if>
						</action>
						<action type="error">
							<dialog type="Info" title="Eroare" message="A intervenit o eroare, va rugam sa incercati din nou" timeout="10" default="okay">
								<actions>
									<action type="okay" title="OK">
										<cancel/>
									</action>
								</actions>
							</dialog>
						</action>
					</actions>
				</online-request>
			</action>
			<action type="Prev" title="Inapoi">
				<goto target="previous"/>
			</action>
			<action type="Exit" title="Pagina principala">
				<goto target="exit"/>
			</action>
		</actions>
	</screen>

	<!-- Confirm -->
	<screen id="confirm" type="confirm" title="Confirmare">
		<fields list="cod_abonat,factura"/>
		<actions>
			<action type="Next" title="Achita">
				<goto target="pay"/>
			</action>
			<action type="Prev" title="Inapoi">
				<goto target="account"/>
			</action>
			<action type="Exit" title="Acasa">
				<goto target="exit"/>
			</action>
		</actions>
	</screen>
</scenario>
